ru.bitel.bgbilling.modules.cerbercrypt.server.event

## Class SubscriptionChangedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.cerbercrypt.server.event.SubscriptionChangedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class SubscriptionChangedEvent
      extends QueueEvent

  Асинхронное событие - изменение подписки карты.
  Событие генерируется после смены подписки карты пользователя.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHANGE_PLACE_CLIENT` Смена подписки через клиент биллинга.
    `static int` | `CHANGE_PLACE_WEB` Смена подписки через Web-кабинет.
    `static int` | `MODE_CHANGED` Режим изменения пакета карты (изменен период), только при `getChangePlace()` == `CHANGE_PLACE_CLIENT`
    `static int` | `MODE_CLOSE` Режим закрытия пакетов.
    `static int` | `MODE_DELETE` Режим удаления пакетов.
    `static int` | `MODE_OPEN` Режим открытия пакетов.

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SubscriptionChangedEvent()`
    `` | `SubscriptionChangedEvent(int userId, int moduleId, int contractId, int userCardId, int changePlace, int changeMode, int packetsId, java.util.Date date)` Конструктор события.
    `` | `SubscriptionChangedEvent(int moduleId, int contractId, java.util.Set<java.lang.Integer> userCardIdSet, int changePlace, int changeMode, java.util.Set<java.lang.Integer> packetsIds, java.util.Date date)` Конструктор события.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getChangeMode()` Возвращает режим изменения.
    `int` | `getChangePlace()` Возвращает место смены подписки.
    `java.util.Date` | `getDate()` Возвращает дату открытия либо закрытия пакетов.
    `java.util.Set<java.lang.Integer>` | `getPacketIds()` Возвращает идентификаторы пакетов.
    `int` | `getTypeId()` Deprecated.
    `java.util.Set<java.lang.Integer>` | `getUserCardIds()` Возвращает коды изменяющихся карт клиента.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CHANGE_PLACE_CLIENT

          public static final int CHANGE_PLACE_CLIENT

      Смена подписки через клиент биллинга.
      See Also:
        Constant Field Values

    - #### CHANGE_PLACE_WEB

          public static final int CHANGE_PLACE_WEB

      Смена подписки через Web-кабинет.
      See Also:
        Constant Field Values

    - #### MODE_OPEN

          public static final int MODE_OPEN

      Режим открытия пакетов.
      See Also:
        Constant Field Values

    - #### MODE_CLOSE

          public static final int MODE_CLOSE

      Режим закрытия пакетов.
      See Also:
        Constant Field Values

    - #### MODE_DELETE

          public static final int MODE_DELETE

      Режим удаления пакетов.
      See Also:
        Constant Field Values

    - #### MODE_CHANGED

          public static final int MODE_CHANGED

      Режим изменения пакета карты (изменен период), только при `getChangePlace()` == `CHANGE_PLACE_CLIENT`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SubscriptionChangedEvent

          protected SubscriptionChangedEvent()

    - #### SubscriptionChangedEvent

          public SubscriptionChangedEvent(int userId,
                                          int moduleId,
                                          int contractId,
                                          int userCardId,
                                          int changePlace,
                                          int changeMode,
                                          int packetsId,
                                          java.util.Date date)

      Конструктор события.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `moduleId` - - код модуля
        `contractId` - - код договора
        `userCardId` - - код карты клиента
        `changePlace` - - место смены подписки
        `changeMode` - - режим изменения
        `packetsId` - - код пакета
        `date` - - дата закрытия и удалея

    - #### SubscriptionChangedEvent

          public SubscriptionChangedEvent(int moduleId,
                                          int contractId,
                                          java.util.Set<java.lang.Integer> userCardIdSet,
                                          int changePlace,
                                          int changeMode,
                                          java.util.Set<java.lang.Integer> packetsIds,
                                          java.util.Date date)

      Конструктор события.
      Parameters:
        `moduleId` - - код модуля
        `contractId` - - код договора
        `userCardIdSet` - - коды карт клиента
        `changePlace` - - место смены подписки
        `changeMode` - - режим изменения
        `packetsIds` - - коды пакетов
        `date` - - дата закрытия и удаления

  - ### Method Detail

    - #### getTypeId

          @Deprecated
          public int getTypeId()

      Deprecated.
      Использовать проверку instanceof.
      Overrides:
        `getTypeId` in class `Event`
      Returns:

    - #### getUserCardIds

          public java.util.Set<java.lang.Integer> getUserCardIds()

      Возвращает коды изменяющихся карт клиента.
      Returns:
        userCardIds - набор изменяющихся карт клиента

    - #### getChangePlace

          public int getChangePlace()

      Возвращает место смены подписки.
      Returns:
        changePlace - место смены подписки:
    - `CHANGE_PLACE_CLIENT`
    - `CHANGE_PLACE_WEB`

  - #### getChangeMode

        public int getChangeMode()

    Возвращает режим изменения.
    Returns:
      changeMode - тип изменения:
  - `MODE_CLOSE`
  - `MODE_OPEN`
  - `MODE_DELETE`
  - `MODE_CHANGED`

- #### getPacketIds

      public java.util.Set<java.lang.Integer> getPacketIds()

  Возвращает идентификаторы пакетов.
  Returns:
    packetIds - идентификаторы пакетов

- #### getDate

      public java.util.Date getDate()

  Возвращает дату открытия либо закрытия пакетов.
  Returns:
    date - дата закртия либо открытия пакетов;
    null - при удалении